<-- index.html -->
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="app.css">
        <title>JS Example</title>
        <script type="module" src="app.js"></script>
    </head>

    <body>
        <h1>JS Example</h1>
        <main>
            <div id="clue"></div>
            <div>
                <form id="create-clue-form">
                    <div class="form-entry">
                        <label for="question">Question</label>
                        <input type="text" name="question" id="question" required>
                    </div>
                    <div class="form-entry">
                        <label for="answer">Answer</label>
                        <input type="text" name="answer" id="answer" required>
                    </div>
                    <div class="form-entry">
                        <label for="value">Value</label>
                        <input type="number" name="value" id="value" required>
                    </div>
                    <div class="form-entry">
                        <label for="categoryId">Category</label>
                        <select id="categoryId" name="categoryId" required>
                            <option value="">Select a category</option>
                        </select>
                    </div>
                    <div>
                        <button>Submit</button>
                    </div>
                </form>
            </div>
        </main>
    </body>

    </html>
